# Set encryption key

## SYNOPSIS

#include <libmemcached/memcached.h>

  Compile and link with -lmemcached

memcached_return_t memcached_set_encoding_key(memcached_st *ptr, const char *str, const size_t length)
  Parameters:

    - ptr -- pointer to initialized `memcached_st` struct

    - str -- the key to use

    - length -- the length of `key` without any terminating zero

  Returns:

    `memcached_return_t` indicating success

## DESCRIPTION

`memcached_set_encoding_key()` sets the key that will be used to encrypt and decrypt data as it is sent and received from the server.

Currently only AES is is supported.

## RETURN VALUE

A value of type `memcached_return_t` is returned. On success that value will be `MEMCACHED_SUCCESS`. Use `memcached_strerror()` to translate this value to a printable string.

## SEE ALSO

- memcached(1)

- C/C++ Client Library for memcached

- Converting Error Codes to Messages